GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "6f2eee4c-a485-4114-89c2-41d030bbbb64",
"program_id": "eda16775-c3cc-4b8f-9cea-b9b718b4e4a4",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "6d6c8eeb-ca12-4b57-88fa-d1ce13762b04",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>6f2eee4c-a485-4114-89c2-41d030bbbb64</id> <medistream_program_step_type_id>6d6c8eeb-ca12-4b57-88fa-d1ce13762b04</medistream_program_step_type_id> <name>sample string 4</name> <program_id>eda16775-c3cc-4b8f-9cea-b9b718b4e4a4</program_id> </medistream_program_step>